# class Tk::Tcllib::Plotchart::PolarPlot

### Constants

TkCommandNames

### Private Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/tkextlib/tcllib/plotchart.rb, line 536
    def initialize(*args) # args := ([parent,] radius_data [, keys])
                          # radius_data := Array of [maximum_radius, stepsize]
      if args[0].kind_of?(Array)
        @radius_data = args.shift

        super(*args) # create canvas widget
      else
        parent = args.shift

        @radius_data = args.shift

        if parent.kind_of?(Tk::Canvas)
          @path = parent.path
        else
          super(parent, *args) # create canvas widget
        end
      end

      @chart = _create_chart
    end

### Private Instance Methods

__destroy_hook__() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 564
    def __destroy_hook__
      Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.mutex.synchronize{
        Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.delete(@path)
      }
    end

_create_chart() click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 557
    def _create_chart
      p self.class::TkCommandNames[1] if $DEBUG
      tk_call_without_enc(self.class::TkCommandNames[1], @path,
                          array2tk_list(@radius_data))
    end

dataconfig(series, key, value=None) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 576
    def dataconfig(series, key, value=None)
      if key.kind_of?(Hash)
        tk_call_without_enc(@chart, 'dataconfig', _get_eval_enc_str(series),
                            *hash_kv(key, true))
      else
        tk_call(@chart, 'dataconfig', series, "-#{key}", value)
      end
    end

plot(series, radius, angle) click to toggle source

    # File lib/tkextlib/tcllib/plotchart.rb, line 570
    def plot(series, radius, angle)
      tk_call_without_enc(@chart, 'plot', _get_eval_enc_str(series),
                          radius, angle)
      self
    end